Bug 314601 - xen kernel cannot start X server
xen kernel cannot start X server
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
5.0
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-01 15:31 EDT by gerrit
Modified: 2008-11-24 06:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-24 06:23:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gerrit 2007-10-01 15:31:44 EDT
Description of problem:

If I start xen kernel 18-8.el5xen or 18-8-1-14.el5xen, the X-server won't start.
With the non xen kernel there is no problem. 

I have this problem with both the vesa drivers as with the nvidia ones.

With the vesa X11 drivers the screen goes blank, but the system remains responsive. 
With the nvidia X11 drivers gdm is unable to start and I'm left with a message
that X server is reverting to a default config.  At that time the Xserver seems
able to start. 

My videocard is a Gforce 8600GTS.

 
Version-Release number of selected component (if applicable):
nvidia driver 100.14.19 (latest)

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2008-07-15 11:45:22 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf; note, that we are
interested only in free drivers) and X server log file (/var/log/Xorg.*.log) to
the bug report as individual uncompressed file attachments using the bugzilla
file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2008-09-01 10:20:15 EDT
a) don't talk about nvidia driver to me; clear your computer from files it left you (http://fedoraproject.org/wiki/Xorg/3rdPartyVideoDrivers; especially if you didn't use packaged drivers, but the ones from nvidia.com website) and retest with vesa drivers.
b) could we get these files I asked for in the previous comment, please?
Comment 3 Matěj Cepl 2008-10-20 16:57:27 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 4 Matěj Cepl 2008-11-24 06:23:07 EST
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.